| Package
| Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD DETAIL: FIELD | CONSTR | METHOD

## Class Token

    java.lang.Object
      |
      +--Token

public class Token
extends java.lang.Object

Field Summary
`private java.lang.String` | `lexem`
`java.lang.Object` | `token`

Constructor Summary
`(package private)` | `Token(int tok)`
`(package private)` | `Token(int tok, char c)`
`(package private)` | `Token(int tok, java.lang.String s)`

Method Summary
`char` | `CharInString()`
`java.lang.String` | `get_String()`
`java.lang.String` | `getLexem()`
`boolean` | `String2Bool()`
`int` | `String2Int()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### token

    public java.lang.Object token

### lexem

    private java.lang.String lexem

Constructor Detail

### Token

    Token(int tok)

### Token

    Token(int tok,
          java.lang.String s)

### Token

    Token(int tok,
          char c)

Method Detail

### getLexem

    public java.lang.String getLexem()

### String2Int

    public int String2Int()

### CharInString

    public char CharInString()

### String2Bool

    public boolean String2Bool()

### get_String

    public java.lang.String get_String()

| Package
| Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD DETAIL: FIELD | CONSTR | METHOD